// pages/ticketHand/ticketResult.js
const utils = require('../../utils/util.js')
import drawQrcode from '../../utils/weapp.qrcode.esm.js'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    invoiceReqFlowNo: '',
    result: '',
    qrcodeUrl: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      invoiceReqFlowNo: options.invoiceReqFlowNo
    })
    /* this.getDetail() */
  },

  //获取微信卡包详情所需的二维码参数
  getDetail() {
    let result = wx.getStorageSync('wxCode')
    this.setData({
      result
    })
    this.getCode()
  },

  //获取二维码
  getCode() {
    let result = this.data.result
    let params = {
      source: 'wap',
      clientOrderNo: result.clientOrderNo,
      moeny: result.totalAmountTaxes,
      timestamp: new Date().getTime(),
      redirectUrl: 'https://app.taxbk.cn:9443/qrcode/#/operateSuccess',
      authType: 2
    }
    utils.axios({
      method: 'post',
      url: '/sys/wxCollect/collectAuth',
      data: params,
      sendBefore() {
        wx.showLoading({
          title: '加载中...',
          mask: true
        })
      },
      complete() {
        wx.hideLoading()
      },
      success: res => {
        let url = res.data.authUrl
        this.drawQrcode('qrcode', url)
      }
    })
  },

  //二维码
  drawQrcode(canvasId, text) {
    wx.showLoading({
      title: '二维码加载中...',
      mask: true
    })
    drawQrcode({
      width:150,
      height: 150,
      canvasId: canvasId,
      text: text,
      callback: () => {
        //安卓机上不准确，生成的二维码无法扫描，加延时解决
        setTimeout(() => {
          wx.canvasToTempFilePath({
            canvasId: canvasId,
            success: res => {
              wx.hideLoading()
              this.setData({
                qrcodeUrl: res.tempFilePath
              })
            }
          }, this)
        }, 500)
      }
    })
  },

  //长按保存
  save() {
    wx.getImageInfo({
      src: this.data.qrcodeUrl,
      success: res => {
        utils.savePhoto(res.path)
      }
    })
  },

  //项目详情
  toProlist() {
    /* wx.redirectTo({
      url: '/pages/ticketProdetail/ticketProdetail?invoiceReqFlowNo=' + this.data.invoiceReqFlowNo
    }) */
    wx.redirectTo({
      url: '/pages/ticketQuery/ticketQuery'
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: '诺信云',
      path: '/pages/index/index'
    }
  }
})